{% extends 'base.html.twig' %}

{% block body %}
    <div class="container">
        <form action="" class="form" method="POST">
            <h1>User search</h1>
            <input type="text" name='key' value="{{ key }}" class="form-control">
            <input type="submit" value="Search" class="btn btn-primary">
        </form>

        {% if users %}

            <ul class="list mt-3">
                {% for user in users %}
                    <li>Name: {{ user.name }} | Lastname: {{ user.lastname }} | Email: {{ user.email }}
                        <a href="/user/edit/{{ user.id }}">Edit</a>
                        <a href="/user/view/{{ user.id }}">View</a>
                    </li>
                {% endfor %}
            </ul>
        {% endif %}
    </div>
{% endblock %}